Subject: bug#47927: guix-1.2.0-21.4dff6ec build fails

From: Ludovic Courtès <[email-masked]>
Date: Thu, 22 Apr 2021 14:00:14 +0200

Hi,

Bone Baboon <[email-masked]> skribis:

> On a x86_64 computer when I run `sudo guix system --no-substitutes --cores=1 --max-jobs=1 reconfigure config.scm` I get this error:
>
> building /gnu/store/rxn35i8wn1894jjqs4zjxj378dslpqdl-guix-1.2.0-21.4dff6ec.drv...
[...]

> PASS: tests/utils.scm
> PASS: tests/uuid.scm
> make[4]: *** [Makefile:5609: tests/workers.log] Error 139

This suggests a Guile segfault (SIGSEGV) while running
‘tests/workers.scm’.

I cannot reproduce it by building the derivation above.  I tried this
stress-test (with Guile 3.0.5):

  while ./pre-inst-env guile --no-auto-compile tests/workers.scm 2>/dev/null ; do : ; done

and it doesn’t seem to crash.

Could you try these two things as well: retrying the derivation build,
and running the stress test above?

If the stress test “successfully” crashes, please grab a backtrace with
GDB (I can provide guidance on IRC if you want).

Thanks,
Ludo’.